Bug 104632 - Controls in Position and Size content panel get cropped when deck is resized to minimum size
Summary: Controls in Position and Size content panel get cropped when deck is resized ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.beta1
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX Sidebar-Properties-PositionAndSize
  Show dependency treegraph
 
Reported: 2016-12-13 11:22 UTC by Telesto
Modified: 2019-12-22 03:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison how it looks, and how it should look (55.33 KB, application/pdf)
2016-12-13 11:26 UTC, Telesto
Details
Comparison how it looks, and how it should look (35.17 KB, application/unknown)
2016-12-16 19:47 UTC, Telesto
Details
Example file (10.32 KB, application/vnd.oasis.opendocument.text)
2016-12-17 20:59 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-12-13 11:22:09 UTC
Description:
The minimum size of the properties deck is to small when selecting an image

Steps to Reproduce:
1.Open attached file in Writer
2.Open the sidebar + properties deck
3.Set the properties deck to minimum size
4.Click on the image in the example file
5. "Position in size" panel is cut off

Actual Results:  
Position in size" panel is cut off

Expected Results:
Position in size" panel should be visible


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha0+
Build ID: ba6b35fc68a01aff72b39eb7809bacb326068668
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-12-13_06:07:39
Locale: nl-NL (nl_NL); Calc: CL

and in
Versie: 5.3.0.0.beta1  (x64)
Build ID: 690f553ecb3efd19143acbf01f3af4e289e94536
CPU Threads: 4; Versie besturingssysteem:Windows 6.19; UI Render: standaard; Layout Engine: new; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2016-12-13 11:26:06 UTC Comment hidden (obsolete)
Comment 2 Telesto 2016-12-16 19:47:00 UTC
Created attachment 129698 [details]
Comparison how it looks, and how it should look
Comment 3 Telesto 2016-12-17 20:59:00 UTC
Created attachment 129734 [details]
Example file
Comment 4 Buovjaga 2016-12-18 17:52:28 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: db9aec4520766c87a09d4cb0238ed06ebaeaaeeb
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on December 18th 2016
Comment 5 Yousuf Philips (jay) (retired) 2016-12-20 12:08:03 UTC
Looking at attachment 129698 [details], the height control is also being cropped at the minimum size. Also noticed that the flip vertical button gets cropped with the below steps.

1) Open attachment 129734 [details]
2) Click on image
3) Collapse position and size content panel if not already collapsed
4) Resize deck to minimum size
5) Expand position and size content panel
Comment 6 QA Administrators 2017-12-21 03:37:19 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-22 03:28:43 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug